
LABINVENT (InventIrap) - Anomalie #6986
MATERIEL - materiels/add - Categorie perdue quand on a oublié qqch et que le formulaire se 
ré-affiche (quand on n'a pas choisi technique ou administratif)
06/06/2019 07:17 pm - Etienne Pallier

Status: Fermé Start date: 06/06/2019
Priority: Immédiat Due date:
Assignee: % Done: 100%
Category: MATERIEL Estimated time: 0.00 hour
Target version: version 2.13.x (2019) - Très configurable et avec LDAP CACHESpent time: 0.00 hour
Description

En plus, la liste des catégories n'est pas réinitialisée...

Solution simple : cocher "Technique" par défaut

C'est bizarre, ça ne le fait pas sur la vue edit, mais seulement sur la vue add.

En mode "edit", si on décoche "technique" et "administratif", ça nous le dit tout de suite, le formulaire n'a pas été rechargé.

Bizarrement, en mode "add", le formulaire est rechargé avant qu'on nous signale cette erreur, et donc la saisie de la catégorie est
logiquement perdue... il faudrait donc faire ce check sans recharger le formulaire...
Sinon, il faut dans add() récupérer les valeurs POST et les remettre (comme pour edit) avant de réafficher la vue, pas simple...

Plus simple, cocher "Technique" par défaut !

History
#1 - 06/07/2019 10:43 am - Etienne Pallier
- Priority changed from Normal to Immédiat

#2 - 06/07/2019 06:54 pm - Etienne Pallier
- Subject changed from MATERIEL - materiels/add/edit - Categorie perdue quand on a oublié qqch et que le formulaire se ré-affiche to MATERIEL - 
materiels/add - Categorie perdue quand on a oublié qqch et que le formulaire se ré-affiche (quand on n'a pas choisi technique ou administratif)
- Category set to MATERIEL
- Priority changed from Immédiat to Urgent

C'est bizarre, ça ne le fait pas sur la vue edit, mais seulement sur la vue add.

En mode "edit", si on décoche "technique" et "administratif", ça nous le dit tout de suite, le formulaire n'a pas été rechargé.

Bizarrement, en mode "add", le formulaire est rechargé avant qu'on nous signale cette erreur, et donc la saisie de la catégorie est logiquement
perdue... il faudrait donc faire ce check sans recharger le formulaire...
Sinon, il faut dans add() récupérer les valeurs POST et les remettre (comme pour edit) avant de réafficher la vue, pas simple...

Plus simple, cocher "Technique" par défaut !

#3 - 06/07/2019 06:59 pm - Etienne Pallier
- Description updated

#4 - 06/07/2019 06:59 pm - Etienne Pallier
- Description updated

#5 - 06/07/2019 07:19 pm - Etienne Pallier
- Priority changed from Urgent to Immédiat

#6 - 06/07/2019 07:19 pm - Etienne Pallier
- % Done changed from 0 to 100

#7 - 06/07/2019 07:19 pm - Etienne Pallier
- Status changed from Nouveau to Fermé
